Bug 31793

Summary: Move GOwnPtr* from wtf to wtf/gtk
Product: WebKit Reporter: Laszlo Gombos <laszlo.gombos>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: hamaji, jmalonzo, xan.lopez, zecke
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Attachments:
Description Flags
proposed patch
none
fix indentation in JavaScriptCore/GNUmakefile.am
none
Sorry, this was a wrong patch
none
chromium build fix none

Description Laszlo Gombos 2009-11-22 20:16:49 PST
Since there is already a wtf/gtk directory and GOwnPtr* is only used by WebKitGTK+ port, seems like a logical step to move GOwnPtr* from wtf to wtf/gtk.
Comment 1 Laszlo Gombos 2009-11-22 20:24:27 PST
Created attachment 43692 [details]
proposed patch

This patch has an impact at least on the following ports: gtk, wx, chromium. I'm happy to break out the patch into individual ports. 

I have not had a chance to test if this change does not break any of the ports mentioned above - particularly the gtk port. Even though the changes are trivial I think at very least WebKitGTK+ needs to be be built with the patch before review+/landing this change. If someone can help with that that would be great, otherwise I will try to find some time to do so.
Comment 2 Laszlo Gombos 2009-11-22 20:27:41 PST
Created attachment 43693 [details]
fix indentation in JavaScriptCore/GNUmakefile.am
Comment 3 Oliver Hunt 2009-11-22 21:35:29 PST
Comment on attachment 43693 [details]
fix indentation in JavaScriptCore/GNUmakefile.am

r=me
Comment 4 Laszlo Gombos 2009-11-26 20:56:17 PST
Landed as http://trac.webkit.org/changeset/51423.
Comment 5 Shinichiro Hamaji 2009-11-27 12:21:25 PST
Created attachment 43966 [details]
Sorry, this was a wrong patch
Comment 6 Shinichiro Hamaji 2009-11-27 12:23:24 PST
Created attachment 43967 [details]
chromium build fix
Comment 7 Shinichiro Hamaji 2009-11-27 12:24:45 PST
This change makes chromium build fail. We need to ignore GOwnPtr. This patch
ignores gtk directory.
Comment 8 Laszlo Gombos 2009-11-27 16:20:47 PST
(In reply to comment #7)
> This change makes chromium build fail. We need to ignore GOwnPtr. This patch
> ignores gtk directory.

Thanks. I do not have review+ bit, but as this is a build fix and related to my change I think it is best to commit it (as it looks good to me).

Committed as http://trac.webkit.org/changeset/51452.
Comment 9 Shinichiro Hamaji 2009-11-27 22:32:29 PST
Thanks for checking and landing my patch.